Summary: A Perl interpreter for the Apache Web server.
Name: mod_perl
Version: 1.21
Release: 1
Group: System Environment/Daemons
Copyright: GPL
Url: http://perl.apache.org/
Packager: Hao Li <hli@wag.caltech.edu>
Source: http://perl.apache.org/dist/mod_perl-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-root
Requires: apache, perl = 5.005_03

%description
Mod_perl incorporates a Perl interpreter into the Apache web
server, so that the Apache web server can directly execute Perl
code.  Mod_perl links the Perl runtime library into the Apache
web server and provides an object-oriented Perl interface for
Apache's C language API.  The end result is a quicker CGI script
turnaround process, since no external Perl interpreter has to
be started.


%prep
%setup -q


%build
perl Makefile.PL \
	USE_APXS=1 \
	WITH_APXS=/usr/sbin/apxs \
	EVERYTHING = 1
NCPU=`egrep -c ^processor /proc/cpuinfo`
export MAKE="make -j$NCPU"
$MAKE
$MAKE test


%install
rm -rf $RPM_BUILD_ROOT
make pure_install \
	PREFIX=$RPM_BUILD_ROOT/usr \
	INSTALLMAN1DIR=$RPM_BUILD_ROOT/usr/man/man1 \
	INSTALLMAN3DIR=$RPM_BUILD_ROOT/usr/lib/perl5/5.00503/man/man3
perl -pi -e "s|^$RPM_BUILD_ROOT||" `find $RPM_BUILD_ROOT -name .packlist`

mkdir -p $RPM_BUILD_ROOT/usr/lib/apache
install -m755 -s apaci/libperl.so $RPM_BUILD_ROOT/usr/lib/apache


%files
%defattr(-,root,root)
%doc CREDITS Changes INSTALL* README SUPPORT ToDo eg
/usr/lib/apache/libperl.so
/usr/lib/perl5/5.00503/man/man3/*
/usr/lib/perl5/site_perl/5.005/i386-linux/*


%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Thu Aug 19 1999 Hao Li <hli@wag.caltech.edu>
- After installing this RPM you will need to add following lines into
  appropriate locations of /etc/httpd/httpd.conf:

LoadModule perl_module        lib/apache/libperl.so
AddModule mod_perl.c

Alias /perl/ "/home/httpd/perl/"
<Location "/perl">
    SetHandler perl-script
    PerlHandler Apache::Registry
    PerlSendHeader On
    Options +ExecCGI
</Location>

